> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://developers.fireblocks.com/feedback

```json
{
  "path": "/api-reference/embedded-wallets/retrieve-asset-addresses",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Retrieve asset addresses

> Get the addresses of a specific asset, under a specific account, under a specific Non Custodial Wallet



## OpenAPI

````yaml https://docs.fireblocks.com/api/v1/swagger.yaml get /ncw/wallets/{walletId}/accounts/{accountId}/assets/{assetId}/addresses
openapi: 3.0.0
info:
  title: Fireblocks API
  description: >
    Fireblocks provides a suite of applications to manage digital asset
    operations and a complete development platform to build your business on the
    blockchain.


    - Visit our website for more information: [Fireblocks
    Website](https://fireblocks.com)

    - Visit our developer docs: [Fireblocks
    DevPortal](https://developers.fireblocks.com)
  version: 1.6.2
  contact:
    email: developers@fireblocks.com
servers:
  - url: https://api.fireblocks.io/v1
    description: Fireblocks Production Environment Base URL
  - url: https://sandbox-api.fireblocks.io/v1
    description: Fireblocks Sandbox Environment Base URL
security: []
paths:
  /ncw/wallets/{walletId}/accounts/{accountId}/assets/{assetId}/addresses:
    get:
      tags:
        - Embedded Wallets
      summary: Retrieve asset addresses
      description: >-
        Get the addresses of a specific asset, under a specific account, under a
        specific Non Custodial Wallet
      operationId: GetEmbeddedWalletAddresses
      parameters:
        - in: path
          name: walletId
          description: Wallet Id
          example: 550e8400-e29b-41d4-a716-446655440000
          required: true
          schema:
            type: string
        - in: path
          name: accountId
          description: The ID of the account
          example: '0'
          required: true
          schema:
            type: string
        - name: assetId
          required: true
          description: The ID of the asset
          example: BTC
          in: path
          schema:
            type: string
        - name: pageCursor
          description: Cursor to the next page
          example: MjAyMy0xMi0xMyAyMDozNjowOC4zMDI=:MTEwMA==
          required: false
          in: query
          schema:
            type: string
        - name: pageSize
          required: false
          description: Items per page
          example: 10
          in: query
          schema:
            minimum: 1
            maximum: 100
            type: number
        - name: sort
          required: false
          description: Sort by address
          example: address
          in: query
          schema:
            default: createdAt
            enum:
              - address
              - createdAt
            type: string
        - name: order
          required: false
          description: Is the order ascending or descending
          example: ASC
          in: query
          schema:
            default: ASC
            enum:
              - DESC
              - ASC
            type: string
        - name: enabled
          required: false
          description: Enabled
          example: true
          in: query
          schema:
            type: boolean
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EmbeddedWalletPaginatedAddressesResponse'
        default:
          $ref: '#/components/responses/Error'
      x-codeSamples:
        - lang: TypeScript
          source: >-
            const response:
            Promise<FireblocksResponse<EmbeddedWalletPaginatedAddressesResponse>>
            =
            fireblocks.embeddedWallets.getEmbeddedWalletAddresses(embeddedWalletsApiGetEmbeddedWalletAddressesRequest);
        - lang: Java
          source: >-
            CompletableFuture<ApiResponse<EmbeddedWalletPaginatedAddressesResponse>>
            response =
            fireblocks.embeddedWallets().getEmbeddedWalletAddresses(walletId,
            accountId, assetId, pageCursor, pageSize, sort, order, enabled);
        - lang: Python
          source: >-
            response =
            fireblocks.embedded_wallets.get_embedded_wallet_addresses(wallet_id,
            account_id, asset_id, page_cursor, page_size, sort, order, enabled);
components:
  schemas:
    EmbeddedWalletPaginatedAddressesResponse:
      type: object
      properties:
        data:
          type: array
          description: The data of the current page
          items:
            $ref: '#/components/schemas/EmbeddedWalletAddressDetails'
        next:
          type: string
          description: The ID of the next page
          example: eJ0eXAiOiJKV1QiLCJhbGcOiJIUzI1NiJ9
          nullable: true
      required:
        - data
    EmbeddedWalletAddressDetails:
      type: object
      properties:
        accountName:
          type: string
          description: accountName
          example: accountName
        accountId:
          type: string
          description: accountId
          example: accountIdName
        asset:
          type: string
          description: asset
          example: assetName
        address:
          type: string
          description: address
          example: addressName
        addressType:
          type: string
          description: addressType
          example: addressType
          enum:
            - PERMANENT
            - CHANGE
            - DEFAULT
            - ADDRESS
        addressDescription:
          type: string
          description: addressDescription
          example: addressDescriptionName
        tag:
          type: string
          description: tag
          example: tagName
        addressIndex:
          type: number
          description: addressIndex
          example: addressIndexName
        change:
          type: number
          description: change
          example: changeName
        coinType:
          type: number
          description: Unique identifier of an asset (0 for BTC, 60 for ETH, etc.)
          example: BTC
        customerRefId:
          type: string
          description: customerRefId
          example: customerRefIdName
        addressFormat:
          type: string
          description: addressFormat
          example: addressFormatName
        legacyAddress:
          type: string
          description: legacyAddress
          example: legacyAddressName
        paymentAddress:
          type: string
          description: paymentAddress
          example: paymentAddressName
        userDefined:
          type: boolean
          description: userDefined
          example: true
        state:
          type: string
          description: state
          example: stateName
          enum:
            - PENDING_ACTIVATION
            - ACTIVATION_FAILED
            - READY
      required:
        - accountName
        - accountId
        - asset
        - address
        - addressType
        - addressDescription
        - tag
    ErrorSchema:
      type: object
      properties:
        message:
          type: string
        code:
          type: number
  responses:
    Error:
      description: Error Response
      headers:
        X-Request-ID:
          $ref: '#/components/headers/X-Request-ID'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorSchema'
  headers:
    X-Request-ID:
      schema:
        type: string
      description: >-
        Unique ID correlated to the API request. Please provide it in any
        support ticket you create or on Github issues related to Fireblocks SDKs

````